const std = @import("std");
const nc = @cImport({
    @cInclude("notcurses/notcurses.h");
});

pub fn main() !void {
    const stdout = std.io.getStdOut().writer();
    try stdout.print("Hello, {s}!\n", .{"world"});

    var nc_opts = nc.notcurses_options{
        .termtype = null,
        .loglevel = nc.NCLOGLEVEL_SILENT,
        .margin_t = 0,
        .margin_r = 0,
        .margin_b = 0,
        .margin_l = 0,
        .flags = 0,
    };
    const ncs: *nc.notcurses = (nc.notcurses_core_init(&nc_opts, null) orelse @panic("notcurses_core_init() failed"));
    defer _ = nc.notcurses_stop(ncs);
}
